Skip to main content
`Ctrl`+`K`

# MatProductType

indicates what type of matrix product to compute

## Synopsis

    typedef enum {
      MATPRODUCT_UNSPECIFIED,
      MATPRODUCT_AB,
      MATPRODUCT_AtB,
      MATPRODUCT_ABt,
      MATPRODUCT_PtAP,
      MATPRODUCT_RARt,
      MATPRODUCT_ABC
    } MatProductType;

## Values

- `MATPRODUCT_AB` - product of two matrices

- `MATPRODUCT_AtB` - product of the transpose of a given matrix with a matrix

- `MATPRODUCT_ABt` - product of a matrix with the transpose of another given matrix

- `MATPRODUCT_PtAP` - the triple product of the transpose of a matrix with another matrix and itself

- `MATPRODUCT_RARt` - the triple product of a matrix, another matrix and the transpose of the first matrix

- `MATPRODUCT_ABC` - the product of three matrices

## See Also

Matrix-Matrix Products, Matrices, `MatProductSetType()`

## Level

beginner

## Location

include/petscmat.h

## Examples

src/tao/pde_constrained/tutorials/parabolic.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages